#!/bin/sh
#
#  Licensed to the Apache Software Foundation (ASF) under one or more
#  contributor license agreements.  See the NOTICE file distributed with
#  this work for additional information regarding copyright ownership.
#  The ASF licenses this file to You under the Apache License, Version 2.0
#  (the "License"); you may not use this file except in compliance with
#  the License.  You may obtain a copy of the License at
# 
#      http://www.apache.org/licenses/LICENSE-2.0
# 
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.

# --------------------------------------------------------------------
# $Rev: 561821 $ $Date: 2007-08-01 11:05:12 -0400 (Wed, 01 Aug 2007) $
# --------------------------------------------------------------------
if [ -z $ECLIPSE_HOME ]; then
    echo ""
    echo "ERROR: ECLIPSE_HOME not found in the environment."
    echo "Please specify the path to the Eclipse SDK now, or define it as an environment variable and restart this tool."
    echo "(Note: This will ONLY be in effect for this session)."
    echo ""
    echo -n "ECLIPSE_HOME="
    read ECLIPSE_HOME
    export ECLIPSE_HOME=$ECLIPSE_HOME
fi

echo ""
echo "Copying J2G plugins to $ECLIPSE_HOME/plugins/ ..."
echo ""
cp -vf ../plugins/*.jar $ECLIPSE_HOME/plugins/
cp -vfr ../properties/* $ECLIPSE_HOME/plugins/
cp -vfr ../compatibility/* $ECLIPSE_HOME/plugins/
echo ""
java -cp ../lib/configurator-1.0.0-SNAPSHOT.jar org.apache.geronimo.j2g.Configurator $ECLIPSE_HOME


