@REM
@REM  Licensed to the Apache Software Foundation (ASF) under one or more
@REM  contributor license agreements.  See the NOTICE file distributed with
@REM  this work for additional information regarding copyright ownership.
@REM  The ASF licenses this file to You under the Apache License, Version 2.0
@REM  (the "License"); you may not use this file except in compliance with
@REM  the License.  You may obtain a copy of the License at
@REM
@REM      http://www.apache.org/licenses/LICENSE-2.0
@REM
@REM  Unless required by applicable law or agreed to in writing, software
@REM  distributed under the License is distributed on an "AS IS" BASIS,
@REM  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM  See the License for the specific language governing permissions and
@REM  limitations under the License.

@REM --------------------------------------------------------------------
@REM $Rev: 381214 $ $Date: 2006-02-26 20:12:56 -0500 (Sun, 26 Feb 2006) $
@REM --------------------------------------------------------------------

@if "%GERONIMO_BATCH_ECHO%" == "on"  echo on
@if not "%GERONIMO_BATCH_ECHO%" == "on"  echo off

@if "%OS%" == "Windows_NT" goto okOsCheck
@echo Error: You are running on an unsupported or unknown operating system.
@set ERRORLEVEL=1
@goto end

:okOsCheck
@setlocal enableextensions
@set ERRORLEVEL=0

:ENV_CHECKS
IF NOT DEFINED ECLIPSE_HOME GOTO NO_ECLIPSE_HOME 
	
IF NOT DEFINED WORKSPACE GOTO NO_WORKSPACE
GOTO GO

:NO_ECLIPSE_HOME
ECHO.
ECHO ERROR: ECLIPSE_HOME not found in the environment.
ECHO Please specify the path to the Eclipse SDK now, or define it as an environment variable and restart this tool.
ECHO (Note: This will ONLY be in effect for this session).
ECHO.
SET /P ECLIPSE_HOME=ECLIPSE_HOME=
SET STARTUP_JAR=%ECLIPSE_HOME%
GOTO ENV_CHECKS


:NO_WORKSPACE
ECHO.
ECHO ERROR: WORKSPACE not found in the environment.
ECHO Please specify a path for an Eclipse workspace now, or define it as an environment variable and restart this tool.
ECHO (Note: This will ONLY be in effect for this session).
ECHO.
SET /P WORKSPACE=WORKSPACE=
GOTO ENV_CHECKS

:GO
java -classpath %ECLIPSE_HOME%\plugins\org.eclipse.equinox.launcher_*.jar org.eclipse.core.launcher.Main -application org.apache.geronimo.j2g.resources.tool -data %WORKSPACE% -configuration %ECLIPSE_HOME%\configuration %*

:end
@REM pause the batch file if GERONIMO_BATCH_PAUSE is set to 'on'
if "%GERONIMO_BATCH_PAUSE%" == "on" pause
@endlocal


