/**
 *  Licensed to the Apache Software Foundation (ASF) under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
 /*
 * Auto-generated by J2G Migration. 
 */
package org.apache.geronimo.j2g.sources.dependence.compatibility;

import java.security.Principal;
import java.security.acl.Group;
import java.util.Collection;
import java.util.Collections;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Iterator;

import org.apache.geronimo.security.realm.providers.GeronimoGroupPrincipal;

public class GeronimoSimpleGroup extends GeronimoGroupPrincipal implements Group {

	/**
	 * Serial ID.
	 */
	private static final long serialVersionUID = 4220122854158936883L;

	private HashMap members;

	public GeronimoSimpleGroup(String name) {
		super(name);
		members = new HashMap(3);
	}

	public boolean addMember(Principal user) {
		boolean isMember = members.containsKey(user);
		if (!isMember) {
			members.put(user, user);
		}
		return !isMember;
	}

	public boolean isMember(Principal member) {
		boolean isMember = members.containsKey(member);
		if (!isMember) {
			isMember = member instanceof Anybody;
			if (!isMember && (member instanceof Nobody)) {
				return false;
			}
		}

		if (!isMember) {
			Collection values = members.values();
			Iterator iter = values.iterator();
			do {
				if (isMember || !iter.hasNext()) {
					break;
				}
				Object next = iter.next();
				if (next instanceof Group) {
					Group group = (Group) next;
					isMember = group.isMember(member);
				}
			} while (true);
		}
		return isMember;
	}

	public Enumeration members() {
		return Collections.enumeration(members.values());
	}

	public boolean removeMember(Principal user) {
		return (members.remove(user) != null);
	}

	public String toString() {
		String tmp = new String(getName());
		tmp.concat("(MEMBERS:");
		for (Iterator iter = members.keySet().iterator(); iter.hasNext(); tmp.concat(",")) {
			tmp.concat(iter.next().toString());
		}
		tmp.concat(")");
		return tmp.toString();
	}
}
